using UnityEngine;

/// <summary>
/// 选择器的视觉脚本
/// </summary>
public class SelectView : BaseNote
{
    void Awake()
    {
        _transform = gameObject.GetComponent<Transform>();
    }

    void Update()
    {
        UpdateRenderer(_songInformation.SongCurrentTime, _BPMGroup.CurrentNoteSpeed);
    }
    /// <summary>
    /// 修改时间使得选择标记可以在拍线之间切换
    /// </summary>
    public void SwitchBeatLine(float time)
    {
        TargetTime=time;
    }
    /// <summary>
    /// 在节拍细分线之间切换
    /// </summary>
    public void SwitchSignatureLine(float time)
    {
        TargetTime = time;
    }
    public void Init(float targetTime, SongInformationContainer container, BPMGroup timing)
    {
        TargetTime = targetTime;
        _songInformation = container;
        _BPMGroup = timing;
    }
}
